| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Attributes | List of all members
z_stream_s Struct Reference

`#include <zlib.h>`

## Public Attributes
Bytef * | next_in
uInt | avail_in
uLong | total_in
Bytef * | next_out
uInt | avail_out
uLong | total_out
char * | msg
struct internal_state FAR * | state
alloc_func | zalloc
free_func | zfree
voidpf | opaque
int | data_type
uLong | adler
uLong | reserved

## Detailed Description

Definition at line 85 of file zlib.h.

## Member Data Documentation

uLong z_stream_s::adler

Definition at line 102 of file zlib.h.

uInt z_stream_s::avail_in

Definition at line 87 of file zlib.h.

uInt z_stream_s::avail_out

Definition at line 91 of file zlib.h.

int z_stream_s::data_type

Definition at line 101 of file zlib.h.

char* z_stream_s::msg

Definition at line 94 of file zlib.h.

Bytef* z_stream_s::next_in

Definition at line 86 of file zlib.h.

Bytef* z_stream_s::next_out

Definition at line 90 of file zlib.h.

voidpf z_stream_s::opaque

Definition at line 99 of file zlib.h.

uLong z_stream_s::reserved

Definition at line 103 of file zlib.h.

struct internal_state FAR* z_stream_s::state

Definition at line 95 of file zlib.h.

uLong z_stream_s::total_in

Definition at line 88 of file zlib.h.

uLong z_stream_s::total_out

Definition at line 92 of file zlib.h.

alloc_func z_stream_s::zalloc

Definition at line 97 of file zlib.h.

free_func z_stream_s::zfree

Definition at line 98 of file zlib.h.

The documentation for this struct was generated from the following file:

- /usr/local/bsoft/zlib/zlib.h